org.apache.maven.scm

## Class ScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AddScmResult, BlameScmResult, BranchScmResult, ChangeLogScmResult, CheckInScmResult, CheckOutScmResult, DiffScmResult, EditScmResult, ExportScmResult, InfoScmResult, ListScmResult, LoginScmResult, MkdirScmResult, RemoteInfoScmResult, RemoveScmResult, StatusScmResult, TagScmResult, UnEditScmResult, UpdateScmResult

    public class ScmResult
    extends Object
    implements Serializable

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`ScmResult(ScmResult scmResult)` Copy constructor.
`ScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)` ScmResult contructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCommandLine()`
`String` `getCommandOutput()`
`String` `getProviderMessage()`
`boolean` `isSuccess()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PASSWORD_PLACE_HOLDER

    public static final String PASSWORD_PLACE_HOLDER

See Also:
  Constant Field Values

### Constructor Detail

#### ScmResult

    public ScmResult(ScmResult scmResult)

Copy constructor.

Typically used from derived classes when wrapping a ScmResult into a specific type eg. AddScmResult

Parameters:
  `scmResult` - not null

#### ScmResult

    public ScmResult(String commandLine,
                     String providerMessage,
                     String commandOutput,
                     boolean success)

ScmResult contructor.

Parameters:
  `commandLine` - The provider specific command line used
  `providerMessage` - The provider message
  `commandOutput` - The command output of the scm tool
  `success` - True if the command is in success

### Method Detail

#### isSuccess

    public boolean isSuccess()

Returns:
  True if the command was in success

#### getProviderMessage

    public String getProviderMessage()

Returns:
  A message from the provider. On success this would typically be null or an empty string. On failure it would be the error message from the provider

#### getCommandOutput

    public String getCommandOutput()

Returns:
  Output from Std.Out from the provider during execution of the command that resulted in this

#### getCommandLine

    public String getCommandLine()

Returns:
  The actual provider specific command that resulted in this